Skip to main content
GET
/
dev
/
v1
/
coupons
/
code
/
{code}
Validate coupon by code
curl --request GET \
  --url https://api.shoppex.io/dev/v1/coupons/code/{code} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "coupon": {
      "code": "save10",
      "type": "PERCENTAGE",
      "value": "10"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

code
string
required

Query Parameters

product_id
string
productId
string
variant_id
string
variantId
string
cart
string
cart_json
string

Response

Successful response

data
object
required